#!/usr/bin/env Rscript

### Extract list of pyhsicists from wikipedia article

library(rvest)

# Download page
page <- read_html("https://en.wikipedia.org/wiki/List_of_physicists")

# Extract names
physicists <- page %>%
  html_nodes(".mw-parser-output li a") %>%
  html_text()

# Filter out alphabet
physicists <- physicists[nchar(physicists) > 5]

# Delete last three elements
length(physicists) <- length(physicists) - 3

# Done
write(physicists, "../data/physicists.txt")

